package org.example.mislugares;

import android.content.Context;
import android.database.Cursor;
import android.database.sqlite.SQLiteDatabase;


public class Lugares {

	//8_6 protected static List<Lugar> vectorLugares = ejemploLugares();
	protected static GeoPunto posicionActual =  new GeoPunto(0, 0);
	final static String TAG = "MisLugares";
	private static LugaresBD lugaresBD; // leccion 8_3

	public static void indicializaBD(Context contexto) {
		lugaresBD = new LugaresBD(contexto);
	}

	public static Cursor listado() {
		SQLiteDatabase bd = lugaresBD.getReadableDatabase(); // error open database
				return bd.rawQuery("SELECT * FROM lugares", null);
			}
	
	public Lugares() {
	}

		public static Lugar elemento(int id) {
	    Lugar lugar = null;
	    SQLiteDatabase bd = lugaresBD.getReadableDatabase();
	    Cursor cursor = bd.rawQuery("SELECT * FROM lugares WHERE _id = " + id, null);
	    if (cursor.moveToNext()){
	        lugar = new Lugar();
	        
	        lugar.setDireccion(cursor.getString(2));
	        lugar.setPosicion(new GeoPunto(cursor.getDouble(3), cursor.getDouble(4)));
	        lugar.setTipo(TipoDenuncia.values()[cursor.getInt(5)]);
	        lugar.setFoto(cursor.getString(6));
	        
	        lugar.setComentario(cursor.getString(9));
	        lugar.setFecha(cursor.getLong(10));
	        
	    }
	    cursor.close();
	    bd.close();
	    return lugar;
	}

	public static int nuevo() {
	    int id = -1;
	    Lugar lugar = new Lugar();
	    SQLiteDatabase bd = lugaresBD.getWritableDatabase();
	    lugar.getPosicion();
		//lugar.getPosicion();  cambio de geopunto
		bd.execSQL("INSERT INTO lugares (longitud, latitud, tipo, fecha) VALUES ( "+
	    //lugar.getPosicion().getLongitud()+", "+lugar.getPosicion().getLatitud()+", "+
	  posicionActual.getLongitud()+", "+posicionActual.getLatitud()+", "+
	       //GeoPunto.getLongitud()+", "+GeoPunto.getLatitud()+", "+
	      // lugar.getTipo().ordinal() +
	       ", "+lugar.getFecha()+")");
	    Cursor c = bd.rawQuery("SELECT _id FROM lugares WHERE fecha = " +
	                                lugar.getFecha(), null);
	    if (c.moveToNext()){
	        id = c.getInt(0);
	    }
	    c.close();
	    bd.close();
	    return id;
	}
/**	static void borrar(int id) {
		vectorLugares.remove(id);
	}
**/
	public static void borrar(int id) {
	    SQLiteDatabase bd = lugaresBD.getWritableDatabase();
	    bd.execSQL("DELETE FROM lugares WHERE _id = " + id );
	    bd.close();
	}
	
	
	public static void actualizaLugar(int id, Lugar lugar){
	    SQLiteDatabase bd = lugaresBD.getWritableDatabase();
	    bd.execSQL("UPDATE lugares SET direccion = '"+ lugar.getDireccion() +
	       
	        "', longitud = " + lugar.getPosicion().getLongitud()  +
	        " , latitud = " + lugar.getPosicion().getLatitud()  +
	        " , tipo = " + lugar.getTipo().ordinal() +
	        " , foto = '" + lugar.getFoto()  +
	        
	        "', comentario = '" + lugar.getComentario()  +
	        "', fecha = " + lugar.getFecha()  +
	        
	        " WHERE _id = "+ id);
	        bd.close();
	}
	 public static int primerId() { 
		   int id = -1;
		   SQLiteDatabase bd = lugaresBD.getReadableDatabase();
		   Cursor c = bd.rawQuery("SELECT _id FROM lugares LIMIT 1", null);
		   if (c.moveToNext()){
		      id = c.getInt(0);
		   }
		   c.close();
		   bd.close();
		   return id;
		}

	public static int buscarNombre(String nombre) {//8_6
	    int id = -1;
	    SQLiteDatabase bd = lugaresBD.getReadableDatabase();
	    Cursor c = bd.rawQuery("SELECT * FROM lugares WHERE nombre = '" + nombre + "'", null);
	    if (c.moveToNext()){
	        id = c.getInt(0);
	    }
	    c.close();
	    bd.close();
	    return id; //ojo
	}

	public static int buscarParteNombre(String nombre) {//aporte de david Ros aadido despues del curso 
	    int id = -1;
	    if (nombre.length() > 0) {
	        SQLiteDatabase bd = lugaresBD.getReadableDatabase();
	        Cursor c = bd.rawQuery("SELECT _id FROM lugares WHERE UPPER(nombre) LIKE '%" + nombre.toUpperCase() + "%' ORDER BY nombre LIMIT 1", null);
	        if (c.moveToNext()) {
	            id = c.getInt(0);
	        }
	        c.close();
	        bd.close();
	    }
	    return id;
	}
	}

