package org.example.mislugares;


public enum TipoDenuncia {
            HUECOS("Huecos", R.drawable.otros),
            INFRACCION("Infraccion", R.drawable.restaurante),
            CONDUCTOR_EBRIO("Conductor_Ebrio", R.drawable.beodo),
            EL_BARBARO("El_Barbaro", R.drawable.copas),
            AGRESION("Agresion", R.drawable.espectaculos),
            ROBO("Robo", R.drawable.hotel),
            SECUESTRO("Secuestro", R.drawable.hotel),
            CONSUMO("Consumo", R.drawable.educacion),
            TAPAS("Tapas", R.drawable.deporte),
            NATURALEZA("Naturaleza", R.drawable.naturaleza),
            GASOLINERA("Gasolinera", R.drawable.gasolinera);

    private final String texto; 
    private final int recurso;  

    private TipoDenuncia(String texto, int recurso) {
			
        this.texto = texto;
        this.recurso = recurso;
    }

    public String getTexto() { return texto; }

    public int getRecurso() { return recurso; }

	
    
		public static String[] getNombres() {
				String[] resultado = new
	    		   String[TipoDenuncia.values().length];
				for(TipoDenuncia tipo : TipoDenuncia.values()) {
	             resultado[tipo.ordinal()] = tipo.getTexto();
				}
				return resultado;
		}
}
