package org.example.mislugares;

import java.io.File;
import java.io.FileNotFoundException;

import org.apache.http.protocol.HTTP;

import android.app.Activity;
import android.app.AlertDialog;
import android.content.Context;
import android.content.DialogInterface;
import android.content.Intent;
import android.graphics.Bitmap;
import android.graphics.BitmapFactory;
import android.location.Location;
import android.location.LocationListener;
import android.net.Uri;
import android.os.Bundle;
import android.os.Environment;
import android.provider.MediaStore;
import android.support.v4.app.Fragment;
import android.util.Log;
import android.view.LayoutInflater;
import android.view.Menu;
import android.view.MenuInflater;
import android.view.MenuItem;
import android.view.View;
import android.view.View.OnClickListener;
import android.view.ViewGroup;
import android.widget.Button;
import android.widget.ImageView;
import android.widget.TextView;
import android.widget.Toast;

public class VistaLugarFragment extends Fragment implements LocationListener {
	/**
	 * implements OnTimeSetListener, OnDateSetListener
	 **/
	private TextView showSms;
	private String ReceivedSms;

	private long id;
	private Lugar lugar;
	private Uri uriFoto;
	// private View v;
	// 8-8 private ImageView imageView;
	final static int RESULTADO_EDITAR = 1;
	final static int RESULTADO_GALERIA = 2;
	final static int RESULTADO_FOTO = 3;

	public void galeria(View view) {
		Intent intent = new Intent(Intent.ACTION_GET_CONTENT);
		intent.addCategory(Intent.CATEGORY_OPENABLE);
		intent.setType("image/*");
		startActivityForResult(intent, RESULTADO_GALERIA);
	}
	
	public void onLocationChanged(Location location) {
		View vista = getView();
		showSms = (TextView) vista.findViewById(R.id.textView4);
		showSms.setText(Lugares.posicionActual.toString());
	}
		

	/*
	 * public void llamadaTelefono(View view) { startActivity(new
	 * Intent(Intent.ACTION_DIAL, Uri.parse("tel:" + lugar.getTelefono()))); }
	 * 
	 * public void pgWeb(View view) { startActivity(new
	 * Intent(Intent.ACTION_VIEW, Uri.parse(lugar.getUrl()))); }
	 */

	public View onCreateView(LayoutInflater inflador, ViewGroup contenedor,
			Bundle savedInstanceState) {
		View vista = inflador.inflate(R.layout.vista_lugar, contenedor, false);
		setHasOptionsMenu(true);
		showSms = (TextView) vista.findViewById(R.id.textView4);
		showSms.setText(Lugares.posicionActual.toString());
		
		/**
		 * Bloque que reemplaza las llamadas onclick en el arch xml
		 * 
		 * LinearLayout verMapa = (LinearLayout) vista
		 * .findViewById(R.id.p_direccion); verMapa.setOnClickListener(new
		 * OnClickListener() { public void onClick(View view) {// (View view)
		 * error vista cambio en // todas verMapa(null); } }); LinearLayout pUrl
		 * = (LinearLayout) vista.findViewById(R.id.p_url);
		 * pUrl.setOnClickListener(new OnClickListener() { public void
		 * onClick(View view) {// (View view) error vista cambio en // todas
		 * pgWeb(null); } }); LinearLayout llamadaTelefono = (LinearLayout)
		 * vista .findViewById(R.id.p_telefono);
		 * llamadaTelefono.setOnClickListener(new OnClickListener() { public
		 * void onClick(View view) {// (View view) error vista cambio en //
		 * todas llamadaTelefono(null); } });
		 **/
		TextView camara = (TextView) vista.findViewById(R.id.textView1);
		camara.setOnClickListener(new OnClickListener() {
			public void onClick(View view) {// (View view) error vista cambio en
											// todas
				tomarFoto(null);
			}
		});

		TextView galeria = (TextView) vista.findViewById(R.id.textView2);
		galeria.setOnClickListener(new OnClickListener() {
			public void onClick(View view) {// (View view) error vista cambio en
											// todas
				galeria(null);
			}
		});
		TextView pEliminaFoto = (TextView) vista.findViewById(R.id.textView3);
		pEliminaFoto.setOnClickListener(new OnClickListener() {
			public void onClick(View view) {
				eliminarFoto(null);
			}
		});
		Button button2 = (Button) vista.findViewById(R.id.button2);//actualizar
	button2.setOnClickListener(new OnClickListener() 
		
		{
			public void onClick(View view) {
				
				//MainActivity.acti;
			}
		});
	Button button3 = (Button) vista.findViewById(R.id.button3);//actualizar
	button3.setOnClickListener(new OnClickListener() 
		
		{
			public void onClick(View view) {
				enviarLugar(id);
				//MainActivity.acti;
			}
		});
		/**
		 * ImageView iconoHora = (ImageView)
		 * vista.findViewById(R.id.icono_hora); // 8.9
		 * iconoHora.setOnClickListener(new OnClickListener() { public void
		 * onClick(View view) { cambiarHora(); } }); ImageView iconoFecha =
		 * (ImageView) vista.findViewById(R.id.icono_fecha);// 8.9
		 * iconoFecha.setOnClickListener(new OnClickListener() { public void
		 * onClick(View view) { cambiarFecha(); } });
		 **/
		return vista;

	}

	/**
	 * public void cambiarFecha() { DialogoSelectorFecha dialogoFecha = new
	 * DialogoSelectorFecha(); dialogoFecha.setOnDateSetListener(this); Bundle
	 * args = new Bundle(); args.putLong("fecha", lugar.getFecha());
	 * dialogoFecha.setArguments(args);
	 * dialogoFecha.show(getActivity().getSupportFragmentManager(),
	 * "selectorFecha"); }
	 * 
	 * @Override public void onDateSet(DatePicker view, int anyo, int mes, int
	 *           dia) { Calendar calendario = Calendar.getInstance();
	 *           calendario.setTimeInMillis(lugar.getFecha());
	 *           calendario.set(Calendar.YEAR, anyo);
	 *           calendario.set(Calendar.MONTH, mes);
	 *           calendario.set(Calendar.DAY_OF_MONTH, dia);
	 *           lugar.setFecha(calendario.getTimeInMillis());
	 *           Lugares.actualizaLugar((int) id, lugar); TextView tFecha =
	 *           (TextView) getView().findViewById(R.id.fecha);
	 * 
	 *           DateFormat formato = DateFormat.getDateInstance();
	 * 
	 *           tFecha.setText(formato.format(new Date(lugar.getFecha())));
	 * 
	 *           }
	 * 
	 *           public void cambiarHora() { // 8.9 DialogoSelectorHora
	 *           dialogoHora = new DialogoSelectorHora();
	 *           dialogoHora.setOnTimeSetListener(this); Bundle args = new
	 *           Bundle(); args.putLong("fecha", lugar.getFecha());
	 *           dialogoHora.setArguments(args);
	 *           dialogoHora.show(getActivity().getSupportFragmentManager(),
	 *           "selectorHora"); }
	 * @Override public void onTimeSet(TimePicker vista, int hora, int minuto) {
	 *           Calendar calendario = Calendar.getInstance();
	 *           calendario.setTimeInMillis(lugar.getFecha());
	 *           calendario.set(Calendar.HOUR_OF_DAY, hora);
	 *           calendario.set(Calendar.MINUTE, minuto);
	 *           lugar.setFecha(calendario.getTimeInMillis());
	 *           Lugares.actualizaLugar((int) id, lugar); TextView tHora =
	 *           (TextView) getView().findViewById(R.id.hora); SimpleDateFormat
	 *           formato = new SimpleDateFormat("HH:mm",
	 *           java.util.Locale.getDefault());
	 *           tHora.setText(formato.format(new Date(lugar.getFecha()))); }
	 **/
	/**
	 * @Override public void onActivityCreated(Bundle state) {
	 *           super.onActivityCreated(state); Bundle extras =
	 *           getActivity().getIntent().getExtras(); if (extras != null) { id
	 *           = extras.getLong("id", -1); if (id != -1) {
	 *           actualizarVistas(id);// este punto estaba comentado y por esto
	 *           // no funcionaba } // en telefono 8.8 } }
	 **/

	@Override
	public void onCreateOptionsMenu(Menu menu, MenuInflater inflater) { // cambio
																		// en
																		// 8_8
		inflater.inflate(R.menu.vista_lugar, menu);
		super.onCreateOptionsMenu(menu, inflater);
	}
	@Override
	public void onActivityCreated(Bundle state) {
		super.onActivityCreated(state);
		Bundle extras = getActivity().getIntent().getExtras();
		if (extras != null) {
			id = extras.getLong("id", -1);
			if (id != -1) {
				actualizarVistas(id);// este punto estaba comentado y por esto
										// no funcionaba
			} // en telefono 8.8
		}
	}

	@Override
	public boolean onOptionsItemSelected(MenuItem item) {
		switch (item.getItemId()) {

		case R.id.accion_compartir:

			Intent intent = new Intent(Intent.ACTION_SEND); // 8_8
			intent.setType("text/plain");
			intent.putExtra(Intent.EXTRA_TEXT, lugar.toString());
			intent.putExtra(Intent.EXTRA_STREAM, Uri.parse(lugar.getFoto()));
			startActivity(intent);
			return true;

		case R.id.accion_llegar:
			verMapa(null);
			return true;

		case R.id.accion_editar:
			Intent i = new Intent(getActivity(), EdicionLugar.class);
			i.putExtra("id", id); // ojo se necesita
			startActivityForResult(i, RESULTADO_EDITAR);
			return true;

		case R.id.accion_borrar:// Lugares.borrar((int) id); finish();return//true;
			// Confirmar(null);
			new AlertDialog.Builder(getActivity())
					.setTitle("Confirmar")
					.setMessage("Confirma eliminar los datos para este id")
					.setPositiveButton("Ok",
							new DialogInterface.OnClickListener() {
								public void onClick(DialogInterface dialog,
										int whichButton) {

									Lugares.borrar((int) id);
									getActivity().finish();
								}
							})

					.setNegativeButton("Cancelar", null).show();
			return true;

		default:
			return super.onOptionsItemSelected(item);

		}
	}

	/**
	 * public void onClick(DialogInterface dialogo, int _id) {// _id
	 * Lugares.borrar((int) id); SelectorFragment selectorFragment =
	 * (SelectorFragment) getActivity()
	 * .getSupportFragmentManager().findFragmentById( R.id.selectorfragment); if
	 * (selectorFragment == null) { getActivity().finish();
	 * 
	 * } else { ((MainActivity) getActivity()).muestraLugar(Lugares.primerId());
	 * ((MainActivity) getActivity()).actualizarLista(); } }
	 **/

	public void verMapa(View view) {
		Uri uri;
		double lat = lugar.getPosicion().getLatitud();
		double lon = lugar.getPosicion().getLongitud();
		if (lat != 0 || lon != 0) {
			uri = Uri.parse("geo:" + lat + "," + lon);
		} else {
			uri = Uri.parse("geo:0,0?q=" + lugar.getDireccion());
		}
		Log.e(Lugares.TAG, "uri =" + uri);
		Intent intent = new Intent(Intent.ACTION_VIEW, uri);
		startActivity(intent);
	}

	// 8_8 public void ActualizarVistas(View view) { // reflejar los datos
	// editados
	// 8_8 lugar = Lugares.elemento((int) id); //8_6

	public void actualizarVistas(final long id) {
		/*Uri MiUri; *///ojo
		this.id = id;
		lugar = Lugares.elemento((int) id);
		
		if (lugar != null) {
			View v = getView();// v es para actualizar vistas completo

			/*
			 * TextView nombre = (TextView) v.findViewById(R.id.nombre);//
			 * puntero // nulo nombre.setText(lugar.getNombre());
			 * 
			 * ImageView logo_tipo = (ImageView) v.findViewById(R.id.logo_tipo);
			 * logo_tipo.setImageResource(lugar.getTipo().getRecurso());// error
			 * // puntero // nulo // 8.8
			 */
			ImageView foto = (ImageView) v.findViewById(R.id.foto); // 8-8 error
			foto.setImageURI(uriFoto);

			/**
			 * ponerFoto((ImageView) v.findViewById(R.id.foto),
			 * lugar.getFoto()); = (ImageView)v.findViewById(R.id.foto); //8-8
			 * error imageView.setImageURI(uriFoto);
			 **/
			
			/* MiUri =Uri.parse(lugar.getFoto()); //
				if (lugar.getFoto() != null) {
				String uri = lugar.getFoto(); // Array null(4)

				 ponerFoto((ImageView) v.findViewById(R.id.foto), MiUri.toString());*/	
			// error
				 ponerFoto((ImageView) v.findViewById(R.id.foto), lugar.getFoto());//error
				/*
				 * TextView tipo = (TextView) v.findViewById(R.id.tipo);
				 * tipo.setText(lugar.getTipo().toString());
				 * 
				 * if (lugar.getDireccion() == "") {// si no existe quitar el
				 * campo
				 * v.findViewById(R.id.t_direccion).setVisibility(View.GONE); }
				 * else { TextView direccion = (TextView)
				 * v.findViewById(R.id.direccion);
				 * direccion.setText(lugar.getDireccion()); }
				 */

				/*
				 * if (lugar.getTelefono() == 0) {// si no existe quitar el
				 * campo
				 * v.findViewById(R.id.p_telefono).setVisibility(View.GONE); }
				 * else { TextView telefono = (TextView)
				 * v.findViewById(R.id.telefono);
				 * telefono.setText(Integer.toString(lugar.getTelefono())); } if
				 * (lugar.getUrl() == "") {// si no existe quitar el campo
				 * v.findViewById(R.id.p_url).setVisibility(View.GONE); } else {
				 * TextView url = (TextView) v.findViewById(R.id.url);
				 * url.setText(lugar.getUrl()); }
				 */

				/*
				 * if (lugar.getComentario() == "") {// si no existe quitar el
				 * campo
				 * v.findViewById(R.id.t_comentario).setVisibility(View.GONE); }
				 * else { TextView comentario = (TextView) v
				 * .findViewById(R.id.comentario);
				 * comentario.setText(lugar.getComentario()); }
				 */

				/*
				 * TextView fecha = (TextView) v.findViewById(R.id.fecha);
				 * fecha.setText(DateFormat.getDateInstance().format( new
				 * Date(lugar.getFecha()))); TextView hora = (TextView)
				 * v.findViewById(R.id.hora);
				 * hora.setText(DateFormat.getTimeInstance().format( new
				 * Date(lugar.getFecha())));
				 */
				/*
				 * RatingBar valoracion = (RatingBar)
				 * v.findViewById(R.id.valoracion);
				 * valoracion.setOnRatingBarChangeListener(null);
				 * valoracion.setRating(lugar.getValoracion()); valoracion
				 * .setOnRatingBarChangeListener(new OnRatingBarChangeListener()
				 * {
				 * 
				 * @Override public void onRatingChanged(RatingBar ratingBar,
				 * float valor, boolean fromUser) { lugar.setValoracion(valor);
				 * Lugares.actualizaLugar((int) id, lugar);// 8_6 } });
				 */

			}
		}
	

	@Override
	public void onActivityResult(int requestCode, int resultCode, Intent data) {
		if (requestCode == RESULTADO_EDITAR) {
			actualizarVistas(id);
			getView().findViewById(R.id.scrollView1).invalidate();// 8.8

		} else if (requestCode == RESULTADO_GALERIA
				&& resultCode == Activity.RESULT_OK) {
			lugar.setFoto(data.getDataString());
			Lugares.actualizaLugar((int) id, lugar);// 8_6
			ponerFoto((ImageView) getView().findViewById(R.id.foto),
					lugar.getFoto());

		} else if (requestCode == RESULTADO_FOTO
				&& resultCode == Activity.RESULT_OK && lugar != null
				&& uriFoto != null) {
			lugar.setFoto(uriFoto.toString());
			Lugares.actualizaLugar((int) id, lugar);// 8_6
			ponerFoto((ImageView) getView().findViewById(R.id.foto),
					lugar.getFoto());
		}
	}

	// else { imageView.setImageBitmap(null);}

	public void tomarFoto(View view) {
		Intent intent = new Intent("android.media.action.IMAGE_CAPTURE");
		uriFoto = Uri.fromFile(new File(Environment
				.getExternalStorageDirectory()
				+ File.separator
				+ "img_"
				+ (System.currentTimeMillis() / 1000) + ".jpg"));
		intent.putExtra(MediaStore.EXTRA_OUTPUT, uriFoto);
		startActivityForResult(intent, RESULTADO_FOTO);
	}

	public static Bitmap reduceBitmap(Context contexto, String uri,
			int maxAncho, int maxAlto) {
		try {
			final BitmapFactory.Options options = new BitmapFactory.Options();
			options.inJustDecodeBounds = true;
			BitmapFactory.decodeStream(contexto.getContentResolver()
					.openInputStream(Uri.parse(uri)), null, options);
			options.inSampleSize = (int) Math.max(
					Math.ceil(options.outWidth / maxAncho),
					Math.ceil(options.outHeight / maxAlto));
			options.inJustDecodeBounds = false;
			return BitmapFactory.decodeStream(contexto.getContentResolver()
					.openInputStream(Uri.parse(uri)), null, options);
		} catch (FileNotFoundException e) {
			Toast.makeText(contexto, "Fichero/recurso no encontrado",
					Toast.LENGTH_LONG).show();
			e.printStackTrace();
			return null;
		}
	}

	protected void ponerFoto(ImageView imageView, String uri) {
		Log.d("MiDebug", "ponerFoto - URI vale: (" + uri + ")");
		if (uri != null && !uri.equals("")&& imageView!=null ) { 
			Log.d("MiDebug", "ponerFoto - URI NO es null");
			// imageView.setImageBitmap(reduceBitmap(imageView, uri, 1024,
			// 1024));
			imageView.setImageURI(Uri.parse(uri));
		}

		else {
			Log.d("MiDebug",
					"ponerFoto - URI es null, ponemos imagen por defecto");
			imageView.setImageDrawable(getResources().getDrawable(
					R.drawable.images));

		}
	}

	public void eliminarFoto(View view) {
		lugar.setFoto(null);
		ponerFoto((ImageView) getView().findViewById(R.id.foto), null);
		Lugares.actualizaLugar((int) id, lugar);
	}

	/**
	 * enviar un paquete con todo la informacion incluido foto: despues de
	 * realizar el proyecto surgio la idea, se trata de enlazar esto con
	 * accion_compartir
	 **/

	public void enviarLugar(long id) {// 8-8long id

		Intent emailIntent = new Intent(Intent.ACTION_SEND);
		// La intencin no tiene una URI, por lo que declaramos el tipo MIME
		// "text/plain"
		emailIntent.setType(HTTP.PLAIN_TEXT_TYPE);
		 emailIntent.putExtra(Intent.EXTRA_EMAIL, new String[]
		 {"atnciudadano@idu.gov.co"}); // destinatarios
		emailIntent.putExtra(Intent.EXTRA_SUBJECT, "Denuncia");
		emailIntent.putExtra(Intent.EXTRA_TEXT, lugar.toString());
		emailIntent.putExtra(Intent.EXTRA_STREAM, Uri.parse(lugar.getFoto()));
		// Tambin puedes adjuntar mltiples elementos pasando un ArrayList de
		// Uris
		startActivity(emailIntent);
	}

	@Override
	public void onProviderDisabled(String provider) {
		// TODO Auto-generated method stub
		
	}

	@Override
	public void onProviderEnabled(String provider) {
		// TODO Auto-generated method stub
		
	}

	@Override
	public void onStatusChanged(String provider, int status, Bundle extras) {
		// TODO Auto-generated method stub
		View vista = getView();
		showSms = (TextView) vista.findViewById(R.id.textView4);
		showSms.setText(Lugares.posicionActual.toString());
	}
	
	/**
	 * protected compartir: Intent intent = new Intent(Intent.ACTION_SEND); //
	 * 8_8 intent.setType("text/plain"); intent.putExtra(Intent.EXTRA_TEXT,
	 * lugar.toString()); intent.putExtra(Intent.EXTRA_STREAM,
	 * Uri.parse(lugar.getFoto())); startActivity(intent); return true;
	 **/

}